import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onSerbut(){
                let rtnmsg = await this.executeRule("serbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onDtlbut(){
                let rtnmsg = await this.executeRule("dtlbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onAddbut(){
                let rtnmsg = await this.executeRule("addbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onAmebut(){
                let rtnmsg = await this.executeRule("amebut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onDelbut(){
                let rtnmsg = await this.executeRule("delbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onPrtbut(){
                let rtnmsg = await this.executeRule("prtbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onExpbut(){
                let rtnmsg = await this.executeRule("expbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onExpbop(){
                let rtnmsg = await this.executeRule("expbop")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onExi(){
                let rtnmsg = await this.executeRule("exi")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onErrselSerbut(){
                let rtnmsg = await this.executeRule("errsel.serbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onErrselCorbut(){
                let rtnmsg = await this.executeRule("errsel.corbut")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onExi(){
                let rtnmsg = await this.executeRule("exi")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
            async selpHandleSearch() {
                
                let res = await this.executeRule("serbut");
  
                if(res.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑
               
                this.stmData.data = res.data.dblstm.rows;
                if(res.data.dblstm.rows.length == 0){
                    this.$notify({
                        title: '成功',
                        message: '搜索完毕，无满足条件记录',
                        type: 'success'
                    });

                }else{
                    this.$notify({
                        title: '成功',
                        message: '查询成功',
                        type: 'success'
                    });

                }

                }
                else
                {
                    let errorMsg = "";
                    if(res.fieldErrors){
                        let errorMsgkey = "";
                        let errorMsgVal = "";
                        for (const key in res.fieldErrors) {
                            errorMsgkey = key;
                            errorMsgVal = res.fieldErrors[key];
                        }
                        errorMsg = errorMsgkey+':'+errorMsgVal;
                    }else if(res.respMsg){
                        errorMsg = res.respMsg;
                    }
                    
                this.$notify.error({title: '错误',message: '查询失败！错误信息['+errorMsg+']'});
                }
            },
        
            async selpHandleReset(){
                this.model.bopquep.boptyp = "ALL";
                this.model.bopquep.dattyp = "";
                this.model.bopquep.frmdat = new Date();
                this.model.bopquep.tildat = new Date();
                this.model.bopquep.rptno = "";
                this.model.bopquep.ownextkey = "";
                this.model.bopquep.ptytyp = "";
                this.model.bopquep.ptynam = "";
                this.model.bopquep.medtyp = "";
                this.model.bopquep.ownref = "";
                this.model.bopquep.sum = "";
                this.model.bopquep.staflg = "";
            },

            async errpHandleSearch() {
                
                let res = await this.executeRule("errsel.serbut");
  
                if(res.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑
               
                this.stmData.data = res.data.errsel_msgstm.rows;
                if(res.data.errsel_msgstm.rows.length == 0){
                    this.$notify({
                        title: '成功',
                        message: '搜索完毕，无满足条件记录',
                        type: 'success'
                    });

                }else{
                    this.$notify({
                        title: '成功',
                        message: '查询成功',
                        type: 'success'
                    });

                }

                }
                else
                {
                    let errorMsg = "";
                    if(res.fieldErrors){
                        let errorMsgkey = "";
                        let errorMsgVal = "";
                        for (const key in res.fieldErrors) {
                            errorMsgkey = key;
                            errorMsgVal = res.fieldErrors[key];
                        }
                        errorMsg = errorMsgkey+':'+errorMsgVal;
                    }else if(res.respMsg){
                        errorMsg = res.respMsg;
                    }
                    
                this.$notify.error({title: '错误',message: '查询失败！错误信息['+errorMsg+']'});
                }
            },
        
            async errpHandleReset(){
                this.model.errsel.rptno = "";
                this.model.bopquep.ownextkey = "";
                this.model.bopquep.frmdat = new Date();
                this.model.bopquep.tildat = new Date();
            }

}